Bug 1276479 - Deleting composite view version fails with TypeError: Value (NilClass) '' is not any of: ForemanTasks::Concerns::ActionSubject
Summary: Deleting composite view version fails with TypeError: Value (NilClass) '' is ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Content Management
Version: Nightly
Hardware: x86_64
OS: Linux
medium
high with 1 vote vote
Target Milestone: Unspecified
Assignee: Brad Buckingham
QA Contact: Lukas Pramuk
URL: http://projects.theforeman.org/issues...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-10-29 19:45 UTC by Chris Roberts
Modified: 2019-04-01 20:26 UTC (History)
8 users (show)

Fixed In Version: rubygem-katello-3.0.0.15-1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-27 09:20:14 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2016:1501 normal SHIPPED_LIVE Red Hat Satellite 6.2 Capsule and Server 2016-07-27 12:28:58 UTC

Comment 9 Brad Buckingham 2016-04-04 18:32:54 UTC
Created redmine issue http://projects.theforeman.org/issues/14465 from this bug

Comment 10 Brad Buckingham 2016-04-04 18:58:47 UTC
Upstream Katello PR:  https://github.com/Katello/katello/pull/5937

Comment 11 Bryan Kearney 2016-04-04 20:04:30 UTC
Upstream bug component is Content Management

Comment 12 Lukas Pramuk 2016-04-13 13:24:25 UTC
VERIFIED.

@Sat6.2.0-Beta-Snap7

1. synced RHEL7, Sat Tools 6.1
2. for each repo created CV and published them
3. created composite CV out of them and published version
4. deleted published version

Successfully initiated removal of Composite1 version 1.0.

Successfully removed Composite1 version 1.0 from environments: Library

Comment 14 errata-xmlrpc 2016-07-27 09:20:14 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2016:1501


Note You need to log in before you can comment on or make changes to this bug.